{% load static %}
<!DOCTYPE html>

<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">

        <!-- Font Awesome -->
        <link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

        <!-- JQuery -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

        <!-- Bootstrap -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
        
        <!-- Styles -->
        <link rel="stylesheet" href="{% static 'css/style.css' %}">

        <!-- Icon -->
        <link rel="icon" href="{% static 'img/webicon.ico' %}" type="image/x-icon">

        {% block meta %}
        {% endblock meta %}

        {% block scripts %}
        {% endblock scripts %}
    </head>

    <body>
        <!-- Navbar -->
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <a class="navbar-brand" href="/">WebsiteKu</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo02" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
          
            <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
                <!-- Left Side Navbar -->
                <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'main:home' %}">KegiatanKu</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'my_profile:profile' %}">ProfileKu</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'catalog:catalog' %}">CatalogKu</a>
                    </li>
                </ul>

                <!-- Right Side Navbar -->
                <form class="form-inline my-2 my-lg-0">
                    <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
                        {% if user.is_authenticated %}
                            <span class="navbar-text mr-1">
                                Hi, <b>{{ user.username }}</b>
                            </span>
                            <li class="nav-item ml-2">
                                <a class="btn btn-outline-secondary" href="{% url 'users:logout' %}">Logout</a>
                            </li>
                        {% else %}
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'users:login' %}">Sign In</a>
                            </li>
                            <li class="nav-item ml-1">
                                <a class="btn btn-outline-secondary" href="{% url 'users:register' %}">Sign Up</a>
                            </li>
                        {% endif %}
                    </ul>
                </form>
            </div>
        </nav>

        {% block content %}
        {% endblock content %}
    </body>
</html>

